pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/38626: devel/atf, devel/exempi and misc/m17n-db build failures

>Number:         38626
>Category:       pkg
>Synopsis:       devel/atf, devel/exempi and misc/m17n-db build failures
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun May 11 12:20:00 +0000 2008
>Originator:     Hasso Tepper
>Release:        DragonFly
DragonFly 1.13.0-DEVELOPMENT
devel/atf, devel/exempi and misc/m17n-db all fail to build with same failure:
"configure: error: C compiler cannot create executables"

The problem is that GNU configure needs C compiler, but these packages have 
USE_LANGUAGES defined to something not including c (either c++ or empty).

It's already mentioned some time ago that for some reason the problem doesn't 
appear in NetBSD -
Try to build these in DragonFly BSD.
Fix is trivial of course - either add c to USE_LANGUAGES or remove it at all 
from Makefile (c should be default).

Home | Main Index | Thread Index | Old Index